
<VirtualHost *:443>
  ServerName  portal.idellanet.es
  ServerAlias portal.idellanet.es


  DocumentRoot /var/www/html/idella/
  ErrorLog ${APACHE_LOG_DIR}/portal.idellanet.es-error.log
  CustomLog ${APACHE_LOG_DIR}/portal.idellanet.es-access.log combined

 

   <Directory "/var/www/html/idella/private/">
        AuthType Basic
        AuthName "Restricted Content"
        AuthUserFile /var/www/html/idella/private/.htpasswd
        Require valid-user
        AllowOverride All
    </Directory>


   SSLEngine On


  # Other Apache Configuration

 
  Include /etc/letsencrypt/options-ssl-apache.conf

ServerAlias portal.idellanet.es
SSLCertificateFile /etc/letsencrypt/live/portal.idellanet.es/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/portal.idellanet.es/privkey.pem
</VirtualHost>
